DateGuesser
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.graphtools.utils
Class DateGuesser

    java.lang.Object
      org.gcube.contentmanagement.graphtools.utils.DateGuesser

    public class DateGuesser

extends java.lang.Object

Field Summary
`static java.lang.String` | `DAY`
`static java.lang.String` | `MONTH`
`static java.lang.String` | `YEAR`

Constructor Summary
`DateGuesser()`

Method Summary
`static java.util.Calendar` | `convertDate(java.lang.String data)`
`static java.util.Calendar` | `convertDate(java.lang.String data, java.lang.String language)`
`static java.lang.String` | `getPattern(java.lang.String data)`
`static java.lang.String` | `getPattern(java.lang.String data, java.lang.String language)`
`static java.lang.String` | `granularity(java.lang.String pattern)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YEAR

    public static final java.lang.String YEAR

See Also:
  Constant Field Values

### MONTH

    public static final java.lang.String MONTH

See Also:
  Constant Field Values

### DAY

    public static final java.lang.String DAY

See Also:
  Constant Field Values

Constructor Detail

### DateGuesser

    public DateGuesser()

Method Detail

### main

    public static void main(java.lang.String[] args)

### convertDate

    public static java.util.Calendar convertDate(java.lang.String data)

### getPattern

    public static java.lang.String getPattern(java.lang.String data)

### getPattern

    public static java.lang.String getPattern(java.lang.String data,
                                              java.lang.String language)

### convertDate

    public static java.util.Calendar convertDate(java.lang.String data,
                                                 java.lang.String language)

### granularity

    public static java.lang.String granularity(java.lang.String pattern)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD